import { Matrix } from "../matrix";

let A = new Matrix(
	[1, 2, 3],
	[4, 5, 6]
);

let B = new Matrix(
	[1, 4],
	[2, 5],
	[3, 6]
);

let C = new Matrix(
	[ 14, 32 ],
	[ 32, 77 ]
);

test('A = B.transpose', () => {
	expect(A.eq(B.transpose())).toBe(true);
});

test('B = A.transpose', () => {
	expect(B.eq(A.transpose())).toBe(true);
});

test('A * B = C', () => {
	expect(A.mul(B).eq(C)).toBe(true);
});

test('B * A != C', () => {
	expect(B.mul(A).eq(C)).toBe(false);
});